%define __python %{_bindir}/python3.6
%define __script_exclude_path %{python_sitelib}/ansible*

Name: ansible
Version: 2.9.10
Release: 2
License: GPL-3.0
Summary: An IT automation system
Url: https://ansible.com

Source: https://files.pythonhosted.org/packages/03/4f/cccab1ec2e0ecb05120184088e00404b38854809cf35aa76889406fbcbad/ansible-2.9.10.tar.gz

BuildArch: noarch

BuildRequires: python-rpm-macros
BuildRequires: python3-devel
BuildRequires: python3-pip
BuildRequires: python3-cffi
BuildRequires: python3-cryptography
BuildRequires: python3-bcrypt
BuildRequires: python3-pynacl
BuildRequires: python3-jinja2
BuildRequires: python3-pyyaml
BuildRequires: pkg-config

Requires: python3-cryptography
Requires: python3-pyyaml
Requires: python3-jinja2

Conflicts: python3-ansible
Obsoletes: python3-ansible

%description
Ansible is a radically simple IT automation system. It handles
configuration-management, application deployment, cloud provisioning, ad-hoc
task-execution, and multinode orchestration – including trivializing things
like zero-downtime rolling updates with load balancers.

%prep
%setup -q -n ansible-%{version}

%build

%py_build_wheel

%install
%py_install_wheel %{name}-%{version}-py3-none-any.whl

sed -i 's|pip|rpm|g' %{buildroot}%{python_sitelib}/*.dist-info/INSTALLER

%files
%defattr(-, qsys, *none)

%{_bindir}/ansible*
%{python_sitelib}/ansible*

%changelog
* Wed Jun 16 2021 Kevin Adler <kadler@us.ibm.com> - 2.9.10
- Use macros from python-rpm-macros
- Ensure scripts/command use system python (3.6)

* Thu Mar 04 2021 - Xu Meng <mengxumx@cn.ibm.com> - 2.9.10
- Update to v2.9.10

* Tue Jun 09 2020 Kevin Adler <kadler@us.ibm.com>
- Rename from python3-ansible

* Tue Jun 09 2020 - Xu Meng <mengxumx@cn.ibm.com> - 2.9.9
- Update to v2.9.9

* Thu Jan 03 2019 - Kevin Adler <kadler@us.ibm.com>
- Ensure python packages have necessary dependencies listed
- Remove -I and --no-deps from pip install so dependencies build from yum

* Fri Dec 21 2018 - Xu Meng <mengxumx@cn.ibm.com>
- Initial commit
